<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<title>Lex1.HC</title>
		<link rel="stylesheet" href="/style/templeos.css">
		<script src="/script/templeos.js" defer></script>
	</head>
	<body class="BG-15 FG-0 ">
		U0 MyRead(U8 *filename)<br>
{<br>
  CCmpCtrl *cc=CmpCtrlNew(MStrPrint("#include \"%s\"",filename));<br>
  while (Lex(cc)) {<br>
    "%03d:",cc-&gt;token;<br>
    switch (cc-&gt;token) {<br>
	case TK_IDENT:		"IDENT:%s",cc-&gt;cur_str;	break;<br>
	case TK_STR:		"STR:%s",cc-&gt;cur_str;	break;<br>
	case TK_CHAR_CONST:	"CHAR:%d",cc-&gt;cur_i64;	break;<br>
	case TK_I64:		"I64:%d",cc-&gt;cur_i64;	break;<br>
	case TK_F64:		"F64:%d",cc-&gt;cur_f64;	break;<br>
    }<br>
    '\n';<br>
  }<br>
  CmpCtrlDel(cc);<br>
}<br>

	</body>
</html>